Intel® Fortran Compiler
Build applications that can scale for the future with optimized code designed for Intel® Xeon® and compatible processors.
Announcements
Welcome to the Intel Community. If you get an answer you like, please mark it as an Accepted Solution to help others. Thank you!
For the latest information on Intel’s response to the Log4j/Log4Shell vulnerability, please see Intel-SA-00646

XE 2015 update 4 install on Vista?

davidspurr
Beginner
132 Views

 

Apologies if this has been covered before but it is a while (ex 2013) since I updated my compiler.  Email for latest update came a day or so ago and I figured it was about time I updated from XE2013 (has mostly been working fine, but have been encountering some issues of late).

Anyway, at the very start of the install process I get the following message:

This machine uses operating system "Windows (TM) Vista Business". Compatibility problems are possible.
Installation can continue; however, product functionality may not meet expectations because this product is untested on this operating system.
Suggestion: Check Release Notes for a list of supported operating systems and install this product on a compliant system.

Can anyone advise if installing XE 2015 on a Vista PC is likely to cause issues using the compiler? 

Any warnings or recommendations (apart from 'upgrade Windows'!)?

Despite all the tales of woe and other negative comments, personally I have had very few issues with Vista.  PC is now over 7 years old but was a high end cpu (X9650 Extreme from  Dec 2007) so performance is still satisfactory.  I have Win 7 on a laptop and Win 8.1 on a near new PC but I have just as many if not more os issues with those as I do with my Vista PC.  While I do intend upgrading or replacing the Vista machine in the not too distant future, for the present it is the one I mostly use day to day, including for software development (Fortran only!).

 

0 Kudos
5 Replies
mecej4
Black Belt
132 Views

Your question is partly answered in the release notes:

https://software.intel.com/sites/default/files/managed/ba/08/Release_Notes_F_2015_W_EN_initial_produ...

There are at least three compatibility issues. The compiler and its support tools need to work on an OS (Vista) on which it has not been tested, the Microsoft SDK components (and Visual Studio) need to work, and your application, if you succeed in building it, needs to have the runtime components that are compatible with Vista.

Current releases of Parallel Studio/ Composer XE 2015 have in some cases made it necessary to upgrade Windows 7 to 7 SP1 in order to work. Given that information, I think that it is doubtful that the product will work on Vista.

All that said, if you wish to keep running Vista, you could ignore the warnings, let the installation go through and test the package, rather than endure a long wait hoping for a response from the few who may have attempted running Composer XE 2015 on Vista.

TimP
Black Belt
132 Views

One issue with Windows OS prior to Win7 SP1 is that scheduling is poor when HyperThreading is enabled, so you might want to disable HT for OpenMP. HT issues are annoying enough on Win8.1.

The new Intel updates need at least VS2010 SP1 (unless using the VS Shell), and this is listed on MSDN as being enabled for Vista SP2.    So there are a bunch of service packs which would be required even if Intel still tested on Vista.

I had to perform many iterations to get 2015 update 4 running on Win8.1, mostly having to do with remaining traces of earlier 2015XE installations which had to be removed cleanly, then the new updates had to be removed and installed again.  So it seems that can happen on any Windows version.  As I have the 2016 beta installed also, it seemed that the 2013 installation couldn't be kept.
 

IanH
Black Belt
132 Views

My vista laptop expired a few months back in the hands of a three year old, but up until that point that laptop was happily running the XE 2015 product.

 

davidspurr
Beginner
132 Views

Many thanks for the replies.  Until Ian's reply I had decided to give the update a miss. Though coding is maybe only 5 - 15% of my annual workload (though of course, 100% at times), it is too important to risk significant compiler issues.  In the light of Ian's response I think I will give it a shot.

Steven_L_Intel1
Employee
132 Views

We dropped support for Vista because Microsoft did. Other than that, we don't know of issues but indeed it was not tested,

Reply